Bug 436375 - "Editing as new" selects the wrong transport
Summary: "Editing as new" selects the wrong transport
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-29 20:53 UTC by Albert Astals Cid
Modified: 2021-04-30 06:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.17.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2021-04-29 20:53:08 UTC
This is when i press the "new" email button https://i.imgur.com/LA9QJu3.png

But this is if i use the "edit as new" functionality https://i.imgur.com/SuhPX7d.png

If i scroll down and up in the "Identity" combo it fixes itself.
Comment 1 Laurent Montel 2021-04-30 06:03:54 UTC
I confirm this bug.
I will investigate it.
Comment 2 Laurent Montel 2021-04-30 06:58:12 UTC
Git commit 99c484d2992760405110c6fc014231b1da29212f by Laurent Montel.
Committed on 30/04/2021 at 06:57.
Pushed by mlaurent into branch 'release/21.04'.

Fix Bug 436375 - "Editing as new" selects the wrong transport
FIXED-IN: 5.17.1

M  +3    -0    src/editor/kmcomposerwin.cpp

https://invent.kde.org/pim/kmail/commit/99c484d2992760405110c6fc014231b1da29212f